@import "../base/variable.scss";
@import "../base/mixins.scss";

.el_modal{
    z-index: 99995;
    .modal-dialog{
        width: 700px;
        max-width: 96%;
        .modal-content{
            border: 0;
            border-radius: 0;
            padding: 40px;
            box-shadow: none;
            background-color: $white;
            border-radius: 20px;
            box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
            .modal-header{
                margin: 0;
                padding: 0;
                padding-top: 20px;
                padding-bottom: 20px;
                border: 0;
                h5{
                    padding-bottom: 0;
                }
                .modal-title{
                    color: $black;
                    font-weight: 600;
                    font-size: 24px;
                }
                .btn-close{
                    color: $black;
                    background: none;
                    opacity: 1;
                    font-size: 24px;
                    margin: 0;
                    padding: 0;
                    height: 20px;
                    width: 20px;
                    line-height: 20px;
                    border-radius: 0;
                    box-shadow: none;
                    text-decoration: none;
                    outline: none;
                }
            }
            .modal-body{
                margin: 0;
                padding: 0px 0px;
                border: 0;
                    &.poll{
                        .form-body{
                            [class*="col-"]{
                                &:last-child{
                                    .form-group{
                                        border-bottom: 0;
                                    }
                                }
                            }
                         }
                        .form-body{
                            .form-group{
                                border-bottom: 1px solid $border-light;
                                .form-control{
                                    background-color: transparent;
                                    padding-bottom: 20px;
                                    padding-left: 0;
                                    border-radius: 0;
                                }
                            }
                        }
                    }
                .form-body{
                    .form-group{
                        margin-bottom: 15px;
                        label{
                            &.el_label{
                                width: 100%;
                                display: block;
                                color: $black;
                                font-weight: 500;
                                padding-bottom: 10px;
                            }
                            &.error{
                                display: block;
                                width: 100%;
                                color: $primary_color;
                            }
                        }
                        textarea{
                            height: auto !important;
                        }
                        .form-control{
                            height: 48px;
                            border-radius: 20px;
                            background-color: $form-input;
                            &.form-textarea{
                                height: auto;
                            }
                            
                        }
                        .file-upload{
                            width: 100%;
                            border: 1px solid;
                            border-color: #757575;
                            border-style: dashed;
                            text-align: center;
                            border-radius: 20px;
                            margin-bottom: 30px;
                            padding: 20px;
                            label{
                                &.file-input{
                                    width: 100%;
                                    color: $black;
                                    height: 140px;
                                    padding-top: 40px;
                                    cursor: pointer;
                                    p{
                                        padding-top: 15px;
                                        display: block;
                                        color: $black;
                                        span{
                                            color: $primary_color;
                                        }
                                    }
                                }
                            }
                        }
                        .file-upload-btn{
                            width: auto;
                            background-color: $primary_color;
                            color: $black;
                            padding: 15px 25px;
                            display: inline-block;
                            cursor: pointer;
                            label{
                                cursor: pointer;
                            }
                        }
                        .icon{
                            position: absolute;
                            top: 0;
                            right: 0;
                            color: $black;
                            font-size: 20px;
                            margin-top: 10px;
                            margin-right: 10px;
                            z-index: 99;
                        }
                        .custom-control-radio{
                            label{
                                padding-right: 20px;
                            }
                        }
                        .show-section{
                            padding: 20px;
                            position: relative;
                            .single-image{
                                a{
                                    text-align: center;
                                    position: absolute;
                                    left: 0;
                                    right: 0;
                                    top: 45%;
                                    background-color: $primary_color;
                                    width: 33px;
                                    height: 33px;
                                    line-height: 33px;
                                    color: $white;
                                    border-radius: 50%;
                                    margin: 0 auto;
                                }
                                img,video,iframe{
                                    object-fit: cover;
                                    width: 230px;
                                    max-width: 100%;
                                }
                            }
                        }
                    }
                }
            }
            .modal-footer{
                margin: 0;
                padding: 0px 0px 20px 0px;
                border: 0;
                display: block;
                @include clearfix();
                .left_btn{
                    float: left;
                    margin: 0;
                }
                .right_btn{
                    margin: 0;
                    float: right;
                }
                .btn{
                    width: 160px;
                    height: 46px;
                    margin: 0;
                    padding: 0;
                    text-align: center;
                    line-height: 46px;
                }
            }
        }
    }
    &.uploadFile{
        .modal-dialog{
            width: 670px;
            max-width: 96%;
        }
    }
    &.menu_category{
        .modal-dialog{
            .modal-content{
                .modal-header{
                    padding: 25px 30px 20px 30px;
                    margin-bottom: 30px;
                }
            }
        }
        &.add_menu_modal{
            .modal-dialog{
                .modal-content{
                    .modal-footer{
                        margin-top: 100px;
                    }
                }
            }
        }
    }
    &.booking_view_modal{
        .modal-dialog{
            width: 550px;
            max-width: 96%;
            .modal-content{
                .modal-header{
                    .modal-title{
                        font-size: 30px;
                    }
                    .btn-close{
                        margin-top: -55px;
                        margin-right: -15px;
                    }
                }
                .modal-body{
                    .booking_view_body{
                        padding-bottom: 50px;
                        .bview_area{
                            color: $white;
                            padding-top: 25px;
                            &.booking_vleft{
                                border-right: 1px solid $black;
                            }
                            h6{
                                padding-bottom: 25px;
                                font-size: 18px;
                                font-weight: 400;
                            }
                            ul{
                                li{
                                    padding: 3px 0px;
                                    font-size: 13px;
                                }
                            }
                        }
                    }
                }
                .modal-footer{
                    .left_btn{
                        float: unset;
                        .btn{
                            width: 100%;
                            text-align: center;
                        }
                    }
                }
            }
        }
    }
}











/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .el_modal{
        &.menu_category{
            &.add_menu_modal{
                .modal-dialog{
                    .modal-content{
                        .modal-footer{
                            margin-top: 40px;
                        }
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
	.el_modal{
        &.menu_category{
            &.add_menu_modal{
                .modal-dialog{
                    .modal-content{
                        .modal-footer{
                            margin-top: 70px;
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
	.el_modal{
        &.menu_category{
            &.add_menu_modal{
                .modal-dialog{
                    .modal-content{
                        .modal-footer{
                            margin-top: 30px;
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
	.el_modal{
        .modal-dialog{
            width: auto;
            .modal-content{
                padding: 10px;
                .modal-header{
                    padding: 15px;
                }
                .modal-body{
                    padding-left: 15px;
                    padding-right: 15px;
                }
                .modal-footer{
                    padding: 0px 15px 15px 15px;
                    .btn{
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }
        &.uploadFile{
            .modal-dialog{
                width: auto;
            }
        }
        &.menu_category{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding: 15px;
                        margin-bottom: 15px;
                    }
                }
            }
            &.add_menu_modal{
                .modal-dialog{
                    .modal-content{
                        .modal-footer{
                            margin-top: 30px;
                        }
                    }
                }
            }
        }
        &.booking_view_modal{
            .modal-dialog{
                width: 100%;
                .modal-content{
                    .modal-header{
                        .modal-title{
                            font-size: 20px;
                        }
                        .btn-close{
                            margin-top: -20px;
                            margin-right: -5px;
                        }
                    }
                    .modal-body{
                        .booking_view_body{
                            padding-bottom: 50px;
                            .bview_area{
                                padding-top: 20px;
                                &.booking_vleft{
                                    border-right: 0px;
                                    margin-bottom: 10px;
                                }
                                h6{
                                    padding-bottom: 20px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
	.el_modal{
        .modal-dialog{
            width: auto;
            .modal-content{
                padding: 10px;
                .modal-header{
                    padding: 15px;
                }
                .modal-body{
                    padding-left: 15px;
                    padding-right: 15px;
                }
                .modal-footer{
                    padding: 0px 15px 15px 15px;
                    .btn{
                        width: 120px;
                        height: 40px;
                        line-height: 40px;
                    }
                }
            }
        }
        &.uploadFile{
            .modal-dialog{
                width: auto;
            }
        }
        &.menu_category{
            .modal-dialog{
                .modal-content{
                    .modal-header{
                        padding: 15px;
                        margin-bottom: 15px;
                    }
                }
            }
            &.add_menu_modal{
                .modal-dialog{
                    .modal-content{
                        .modal-footer{
                            margin-top: 30px;
                        }
                    }
                }
            }
        }
        &.booking_view_modal{
            .modal-dialog{
                width: 100%;
                .modal-content{
                    .modal-header{
                        .modal-title{
                            font-size: 20px;
                        }
                        .btn-close{
                            margin-top: -20px;
                            margin-right: -5px;
                        }
                    }
                    .modal-body{
                        .booking_view_body{
                            padding-bottom: 50px;
                            .bview_area{
                                padding-top: 20px;
                                &.booking_vleft{
                                    border-right: 0px;
                                    margin-bottom: 10px;
                                }
                                h6{
                                    padding-bottom: 20px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}